using System.ComponentModel.DataAnnotations;

namespace Fast.Models
{
    public class PipelineListItem
    {
        [Key] //need to set primary key for OData
        public int PipelineId { get; set; }

        [Display(Name = "Full Name")] public string FullName { get; set; } = "";
        [Display(Name = "Short Name")] public string ShortName { get; set; } = "";
        [Display(Name = "Pipe Code")] public string PipeCode { get; set; } = "";
        [Display(Name = "Products")] public string Products { get; set; } = "";
        [Display(Name = "Classification")] public string PipelineClassification { get; set; } = "";
    }
}
